ResponseBuilder (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.ResponseBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class ResponseBuilder

    java.lang.Object
      org.apache.solr.handler.component.ResponseBuilder

    public class ResponseBuilder

extends Object

This class is experimental and will be changing in the future.

Since:
  solr 1.3
Version:
  $Id: ResponseBuilder.java 1338227 2012-05-14 14:38:37Z mvg $

Nested Class Summary
`static class` | `ResponseBuilder.GlobalCollectionStat`

Field Summary
`FacetComponent.FacetInfo` | `_facetInfo`
`List<SearchComponent>` | `components`
`boolean` | `doFacets`
`boolean` | `doHighlights`
`boolean` | `doStats`
`boolean` | `doTerms`
`static String` | `FIELD_SORT_VALUES`
`List<ShardRequest>` | `finished`
`int` | `firstPhaseElapsedTime`
`ResponseBuilder.GlobalCollectionStat` | `globalCollectionStat`
`static String` | `IDS`
`Map<String,Integer>` | `mergedGroupCounts`
`Map<String,QueryCommandResult>` | `mergedQueryCommandResults`
`Map<String,Collection<SearchGroup<String>>>` | `mergedSearchGroups`
`Map<String,TopGroups<String>>` | `mergedTopGroups`
`List<ShardRequest>` | `outgoing`
`SolrQueryRequest` | `req`
`Map<Object,ShardDoc>` | `resultIds`
`Map<Object,SolrDocument>` | `retrievedDocuments`
`SolrQueryResponse` | `rsp`
`Map<String,Map<SearchGroup<String>,Set<String>>>` | `searchGroupToShards`
`String[]` | `shards`
`static String` | `SHARDS`
`int` | `shards_rows`
`int` | `shards_start`
`int` | `stage`
`static int` | `STAGE_DONE`
`static int` | `STAGE_EXECUTE_QUERY`
`static int` | `STAGE_GET_FIELDS`
`static int` | `STAGE_PARSE_QUERY`
`static int` | `STAGE_START` public static final String NUMDOCS = "nd"; public static final String DOCFREQS = "tdf"; public static final String TERMS = "terms"; public static final String EXTRACT_QUERY_TERMS = "eqt"; public static final String LOCAL_SHARD = "local"; public static final String DOC_QUERY = "dq";
`static int` | `STAGE_TOP_GROUPS`
`int` | `totalHitCount`

Constructor Summary
`ResponseBuilder(SolrQueryRequest req, SolrQueryResponse rsp, List<SearchComponent> components)`

Method Summary
`void` | `addDebugInfo(String name, Object val)` Utility function to add debugging info.
`void` | `addRequest(SearchComponent me, ShardRequest sreq)`
`NamedList<Object>` | `getDebugInfo()`
`int` | `getFieldFlags()`
`List<Query>` | `getFilters()`
`GroupingSpecification` | `getGroupingSpec()`
`Query` | `getHighlightQuery()`
`QParser` | `getQparser()`
`Query` | `getQuery()`
`SolrIndexSearcher.QueryCommand` | `getQueryCommand()` Creates a SolrIndexSearcher.QueryCommand from this ResponseBuilder.
`String` | `getQueryString()`
`DocListAndSet` | `getResults()`
`int` | `getShardNum(String shard)`
`SortSpec` | `getSortSpec()`
`RTimer` | `getTimer()`
`boolean` | `grouping()`
`boolean` | `isDebug()`
`boolean` | `isNeedDocList()`
`boolean` | `isNeedDocSet()`
`void` | `setDebug(boolean debug)`
`void` | `setDebugInfo(NamedList<Object> debugInfo)`
`void` | `setFieldFlags(int fieldFlags)`
`void` | `setFilters(List<Query> filters)`
`void` | `setGroupingSpec(GroupingSpecification groupingSpec)`
`void` | `setHighlightQuery(Query highlightQuery)`
`void` | `setNeedDocList(boolean needDocList)`
`void` | `setNeedDocSet(boolean needDocSet)`
`void` | `setQparser(QParser qparser)`
`void` | `setQuery(Query query)`
`void` | `setQueryString(String qstr)`
`void` | `setResult(SolrIndexSearcher.QueryResult result)` Sets results from a SolrIndexSearcher.QueryResult.
`void` | `setResults(DocListAndSet results)`
`void` | `setSortSpec(SortSpec sort)`
`void` | `setTimer(RTimer timer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### req

    public SolrQueryRequest req

### rsp

    public SolrQueryResponse rsp

### doHighlights

    public boolean doHighlights

### doFacets

    public boolean doFacets

### doStats

    public boolean doStats

### doTerms

    public boolean doTerms

### components

    public List<SearchComponent> components

### FIELD_SORT_VALUES

    public static final String FIELD_SORT_VALUES

See Also:
  Constant Field Values

### SHARDS

    public static final String SHARDS

See Also:
  Constant Field Values

### IDS

    public static final String IDS

See Also:
  Constant Field Values

### STAGE_START

    public static int STAGE_START

  public static final String NUMDOCS = "nd"; public static final String DOCFREQS = "tdf"; public static final String TERMS = "terms"; public static final String EXTRACT_QUERY_TERMS = "eqt"; public static final String LOCAL_SHARD = "local"; public static final String DOC_QUERY = "dq";

### STAGE_PARSE_QUERY

    public static int STAGE_PARSE_QUERY

### STAGE_TOP_GROUPS

    public static int STAGE_TOP_GROUPS

### STAGE_EXECUTE_QUERY

    public static int STAGE_EXECUTE_QUERY

### STAGE_GET_FIELDS

    public static int STAGE_GET_FIELDS

### STAGE_DONE

    public static int STAGE_DONE

### stage

    public int stage

### shards

    public String[] shards

### shards_rows

    public int shards_rows

### shards_start

    public int shards_start

### outgoing

    public List<ShardRequest> outgoing

### finished

    public List<ShardRequest> finished

### globalCollectionStat

    public ResponseBuilder.GlobalCollectionStat globalCollectionStat

### resultIds

    public Map<Object,ShardDoc> resultIds

### _facetInfo

    public FacetComponent.FacetInfo _facetInfo

### mergedSearchGroups

    public final Map<String,Collection<SearchGroup<String>>> mergedSearchGroups

### mergedGroupCounts

    public final Map<String,Integer> mergedGroupCounts

### searchGroupToShards

    public final Map<String,Map<SearchGroup<String>,Set<String>>> searchGroupToShards

### mergedTopGroups

    public final Map<String,TopGroups<String>> mergedTopGroups

### mergedQueryCommandResults

    public final Map<String,QueryCommandResult> mergedQueryCommandResults

### retrievedDocuments

    public final Map<Object,SolrDocument> retrievedDocuments

### totalHitCount

    public int totalHitCount

### firstPhaseElapsedTime

    public int firstPhaseElapsedTime

Constructor Detail

### ResponseBuilder

    public ResponseBuilder(SolrQueryRequest req,
                           SolrQueryResponse rsp,
                           List<SearchComponent> components)

Method Detail

### getShardNum

    public int getShardNum(String shard)

### addRequest

    public void addRequest(SearchComponent me,
                           ShardRequest sreq)

### addDebugInfo

    public void addDebugInfo(String name,
                             Object val)

  Utility function to add debugging info. This will make sure a valid debugInfo exists before adding to it.

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

### getDebugInfo

    public NamedList<Object> getDebugInfo()

### setDebugInfo

    public void setDebugInfo(NamedList<Object> debugInfo)

### getFieldFlags

    public int getFieldFlags()

### setFieldFlags

    public void setFieldFlags(int fieldFlags)

### getFilters

    public List<Query> getFilters()

### setFilters

    public void setFilters(List<Query> filters)

### getHighlightQuery

    public Query getHighlightQuery()

### setHighlightQuery

    public void setHighlightQuery(Query highlightQuery)

### isNeedDocList

    public boolean isNeedDocList()

### setNeedDocList

    public void setNeedDocList(boolean needDocList)

### isNeedDocSet

    public boolean isNeedDocSet()

### setNeedDocSet

    public void setNeedDocSet(boolean needDocSet)

### getQparser

    public QParser getQparser()

### setQparser

    public void setQparser(QParser qparser)

### getQueryString

    public String getQueryString()

### setQueryString

    public void setQueryString(String qstr)

### getQuery

    public Query getQuery()

### setQuery

    public void setQuery(Query query)

### getResults

    public DocListAndSet getResults()

### setResults

    public void setResults(DocListAndSet results)

### getSortSpec

    public SortSpec getSortSpec()

### setSortSpec

    public void setSortSpec(SortSpec sort)

### getGroupingSpec

    public GroupingSpecification getGroupingSpec()

### setGroupingSpec

    public void setGroupingSpec(GroupingSpecification groupingSpec)

### grouping

    public boolean grouping()

### getTimer

    public RTimer getTimer()

### setTimer

    public void setTimer(RTimer timer)

### getQueryCommand

    public SolrIndexSearcher.QueryCommand getQueryCommand()

  Creates a SolrIndexSearcher.QueryCommand from this ResponseBuilder. TimeAllowed is left unset.

### setResult

    public void setResult(SolrIndexSearcher.QueryResult result)

  Sets results from a SolrIndexSearcher.QueryResult.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD